package cc.smtweb.system.bpm.web.engine.flow.entity;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Akmm at 2022/5/23 14:25
 * 候选信息人
 */
@SwTable("WF_CARE")
public class Care extends DefaultEntity {
    public static final String ENTITY_NAME = "WF_CARE";

    public Care() {
        super(ENTITY_NAME);
    }

    public long getId() {
        return getLong("cr_id");
    }

    public void setId(long crId) {
        put("cr_id", crId);
    }

    public long getPriId() {
        return getLong("cr_pri_id");
    }

    public void setPriId(long crPriId) {
        put("cr_pri_id", crPriId);
    }

    public long getUserId() {
        return getLong("cr_user_id");
    }

    public void setUserId(long crUserId) {
        put("cr_user_id", crUserId);
    }

    public long getTime() {
        return getLong("cr_time");
    }

    public void setTime(long crTime) {
        put("cr_time", crTime);
    }
}
